Name:           perl-Email-MIME-Creator
Version:        1.456
Release:        1%{?dist}
Summary:        Email::MIME constructor for starting anew
Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Email-MIME-Creator/
Source0:        http://search.cpan.org/CPAN/authors/id/R/RJ/RJBS/Email-MIME-Creator-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildRequires:  perl(base)
BuildRequires:  perl(Email::MIME) >= 1.82
BuildRequires:  perl(Email::MIME::Encodings) >= 1.313
BuildRequires:  perl(Email::MIME::Modifier) >= 1.440
BuildRequires:  perl(Email::Simple) >= 1.92
BuildRequires:  perl(Email::Simple::Creator) >= 1.4
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::More) >= 0.47
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage)
BuildArch:      noarch
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Email::Simple::Creator) >= 1.4

%description
This module provides an Email::MIME constructor.

%prep
%setup -q -n Email-MIME-Creator-%{version}

# Provides: filter perl(Email::MIME)
%global provfilt /bin/sh -c "%{__perl_provides} | grep -Fvx 'perl(Email::MIME)'"
%define __perl_provides %{provfilt}


%build
sed -i '/LICENSE/ d' Makefile.PL
perl Makefile.PL INSTALLDIRS=vendor
make

%install
rm -rf $RPM_BUILD_ROOT
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
%{_fixperms} $RPM_BUILD_ROOT

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc README LICENSE Changes
%{perl_vendorlib}/Email/
%{_mandir}/man3/Email::MIME::Creator.3pm*

%changelog
* Mon Mar 19 2012 Paul Howarth <paul@city-fan.org> - 1.456-1
- update to 1.456
  - fix some spurious "Date" headers in badly-written tests
  - fix a horrendous bug that would let you end up with:
    Content-Type: image/jpeg; charset="utf-8"
  - correct test expectations for Encodings 1.313
- simplify provides filter
- use one buildreq per line for readability
- add module version requirements from META.yml
- BR: perl(base)
- add runtime dependency on perl(Email::Simple::Creator) ≥ 1.4
- drop redundant buildreqs perl(Email::Date) and perl(IO::All)
- don't need to remove empty directories from buildroot
- use %%{_fixperms} macro rather than our own chmod incantation
- use DESTDIR rather than PERL_INSTALL_ROOT
- don't use macros for commands
- drop %%defattr, redundant since rpm 4.4
- make %%files list more explicit

* Thu Jul  5 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 1.453-2
- fix false provide (Email::MIME)

* Wed May  2 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 1.453-1
- bump to 1.453
- add missing BR perl(Email::Date)
- put Changes in doc

* Sun Apr 29 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 1.452-2
- fix LICENSE Warning on build
- add missing Test BR

* Sun Apr  1 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 1.452-1
- Initial package for Fedora
